Subject: bug#71180: [ELPA Feature Request] Package thumbnail

From: "Elijah G." <[email-masked]>
Date: Sun, 26 May 2024 20:15:32 -0600

Stefan Kangas <[email-masked]> writes:

> tags 71180 - notabug
> severity 71180 wishlist
> thanks
>
> "Elijah G." <[email-masked]> writes:
>
>> Tags: notabug
>>
>> Hi, i'm wondering if would be a good idea add support for thumbnail for
>> elpa packages (for elpa website and package-menu *Help* buffers).
>> I think this is a missing feature that most other editors and non-editors
>> does (such as synaptic and vscodium).
>>
>> My idea is to only support 1 image (jpg or png, adding more than 1
>> thumbnail would be hard to read the package *Help* buffer) and resize it
>> (if possible) for not take all the buffer size.
>>
>> For packages developers i think would be fine define new header comment
>> line for let them to choose which image they want to use, something like:
>> ;;; Thumbnail: ./image.png
>>
>> Thanks.
>
> I think this could be a good idea, but it would also depend on how the
> idea is executed.  We would obviously need knobs to turn it off, the
> feature would need to be tested on text displays, etc.

I agree, i would like to help, but i don't know how *Help* buffer
parses the package info or where is stored its code.

> Instead of a header comment, we could just say that the thumbnail should
> always be called "thumb.png" and be in the root directory of the
> package, or something along those lines.

I think that it would be better in the root directory, the reason why i
choose the header comment is allow for 3rd-party package archives use
that feature it for *help* buffers.